## ros-jazzy-resource-retriever 3.4.2

=== debian/changelog ===
ros-jazzy-resource-retriever (3.4.2-3bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 12 May 2024 16:00:00 -0000

ros-jazzy-resource-retriever (3.4.1-3bookworm) bookworm; urgency=high

  * Update resource retreiver to use rule of five (#95 <https://github.com/ros/resource_retriever/issues/95>)
  * Use default ament_lint_auto (#92 <https://github.com/ros/resource_retriever/issues/92>)
  * Contributors: Chris Lalancette, Michael Carroll

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-resource-retriever (3.4.0-3bookworm) bookworm; urgency=high

  * Switch to target_link_libraries. (#89 <https://github.com/ros/resource_retriever/issues/89>)
  * Update to C++17 (#88 <https://github.com/ros/resource_retriever/issues/88>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Dec 2023 16:00:00 -0000

ros-jazzy-resource-retriever (3.3.1-3bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 10 Jul 2023 16:00:00 -0000

ros-jazzy-resource-retriever (3.3.0-3bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 27 Apr 2023 16:00:00 -0000

ros-jazzy-resource-retriever (3.2.2-3bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-jazzy-resource-retriever (3.2.1-3bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-jazzy-resource-retriever (3.2.0-3bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 09 May 2022 16:00:00 -0000

ros-jazzy-resource-retriever (3.1.0-3bookworm) bookworm; urgency=high

  * Install headers to include/${PROJECT_NAME} (#72 <https://github.com/ros/resource_retriever/issues/72>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-jazzy-resource-retriever (3.0.0-3bookworm) bookworm; urgency=high

  * Fix include order for cpplint (#69 <https://github.com/ros/resource_retriever/issues/69>)
  * Update maintainers (#66 <https://github.com/ros/resource_retriever/issues/66>)
  * Remove the deprecated retriever.h header (#63 <https://github.com/ros/resource_retriever/issues/63>)
  * Contributors: Audrow Nash, Chris Lalancette, Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-jazzy-resource-retriever (2.5.0-3bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-jazzy-resource-retriever (2.4.2-3bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-jazzy-resource-retriever (2.4.1-3bookworm) bookworm; urgency=high

  * Throw exception if package name is empty (#54 <https://github.com/ros/resource_retriever/issues/54>)
  * Update maintainers (#53 <https://github.com/ros/resource_retriever/issues/53>)
  * Contributors: Alejandro Hernández Cordero, Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-jazzy-resource-retriever (2.4.0-3bookworm) bookworm; urgency=high

  * Add .hpp header and deprecate .h (#51 <https://github.com/ros/resource_retriever/issues/51>)
  * Add pytest.ini so local tests don't display warning (#48 <https://github.com/ros/resource_retriever/issues/48>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Aug 2020 16:00:00 -0000

ros-jazzy-resource-retriever (2.3.2-3bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 02 Jun 2020 16:00:00 -0000

ros-jazzy-resource-retriever (2.3.1-3bookworm) bookworm; urgency=high

  * Import pytest before resource_retriever (#45 <https://github.com/ros/resource_retriever/issues/45>)
  * Use pytest instead of nose (#44 <https://github.com/ros/resource_retriever/issues/44>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 07 May 2020 16:00:00 -0000

ros-jazzy-resource-retriever (2.3.0-3bookworm) bookworm; urgency=high

  * Towards Quality Level 1 - Added common_linters and fixed tests  (#43 <https://github.com/ros/resource_retriever/issues/43>)
  * use ament_export_targets() (#41 <https://github.com/ros/resource_retriever/issues/41>)
  * Catch ament_index_cpp::PackageNotFoundError (#32 <https://github.com/ros/resource_retriever/issues/32>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 29 Apr 2020 16:00:00 -0000

ros-jazzy-resource-retriever (2.2.0-3bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 25 Sep 2019 16:00:00 -0000

ros-jazzy-resource-retriever (2.1.1-3bookworm) bookworm; urgency=high

  * Changed to export resource retriever and to enable hooks. (#26 <https://github.com/ros/resource_retriever/issues/26>)
  * Contributors: Steven! Ragnarök

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 07 May 2019 16:00:00 -0000

ros-jazzy-resource-retriever (2.1.0-3bookworm) bookworm; urgency=high

  * Make sure to export the include directory for resource_retriever. (#22 <https://github.com/ros/resource_retriever/issues/22>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 20 Jun 2018 16:00:00 -0000

ros-jazzy-resource-retriever (1.12.3-3bookworm) bookworm; urgency=high

  * Fix C++11 to use set_directory_properties
  * Make Shane and Chris the maintainers.

